GET /blueprintactions/{guid}
Retrieve a specific blueprint action
Retrieve a specific blueprint action
| Key | Type | Example | Description |
|---|---|---|---|
| guid required | string |
"example-string"
|
Blueprint action GUID
|
| Key | Type | Example | Description |
|---|---|---|---|
| authorization required | string |
"Bearer access_token"
|
Access token
|
{
"_meta": {
"guid": "example-string",
"entity": 42,
"created": 42,
"modified": 42,
"updated": 42
},
"type": "http_request",
"blueprint_guid": "example-string",
"position": {
"x": 150,
"y": 300
},
"event": "/api/users",
"fields": [
"example-string"
],
"default_value": "example-value",
"value": "example-value",
"in_pins": [
{}
],
"out_pins": [
{}
],
"custom_out_pins": [
{}
]
}
{
"error": "INVALID_ACCESS_TOKEN",
"code": 401
}
| Status | Error Code | Description |
|---|---|---|
401 |
INVALID_ACCESS_TOKEN |
Authentication required or invalid token |
404 |
ERROR |
Blueprint action not found |
| Permission | Description |
|---|---|
Bearer token |
Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
blueprintactions_view |
Required scope: blueprintactions_view |
Back to Blueprint Actions Return to the Blueprint Actions category to view other endpoints All API Categories Browse all available API categories